﻿using System;
using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 주문
    /// </summary>
    public class Order
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 주문일 - OrderDate

        /// <summary>
        /// 주문일
        /// </summary>
        public DateTime OrderDate { get; set; }

        #endregion
        #region 도시 - City

        /// <summary>
        /// 도시
        /// </summary>
        public string City { get; set; }

        #endregion
        #region 금액 - Amount

        /// <summary>
        /// 금액
        /// </summary>
        public decimal Amount { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        public static List<Order> GetList()
        {
            List<Order> list = new List<Order>();

            list.Add(new Order { OrderDate = new DateTime(2020, 1, 1 ), City = "서울", Amount = 10000 });
            list.Add(new Order { OrderDate = new DateTime(2020, 1, 2 ), City = "대전", Amount = 20000 });
            list.Add(new Order { OrderDate = new DateTime(2020, 1, 3 ), City = "인천", Amount = 30000 });
            list.Add(new Order { OrderDate = new DateTime(2020, 1, 4 ), City = "서울", Amount = 20000 });
            list.Add(new Order { OrderDate = new DateTime(2020, 1, 5 ), City = "광주", Amount = 50000 });
            list.Add(new Order { OrderDate = new DateTime(2020, 1, 6 ), City = "인천", Amount = 60000 });
            list.Add(new Order { OrderDate = new DateTime(2020, 1, 7 ), City = "대전", Amount = 30000 });
            list.Add(new Order { OrderDate = new DateTime(2020, 1, 8 ), City = "대전", Amount = 10000 });
            list.Add(new Order { OrderDate = new DateTime(2020, 1, 9 ), City = "서울", Amount = 20000 });
            list.Add(new Order { OrderDate = new DateTime(2020, 1, 10), City = "서울", Amount = 10000 });

            return list;
        }

        #endregion
    }
}